# 2022年4月14日 网络 IP 学习

## 前言

云计算的云是网络，借助着网络在不同地区的计算机可以互相通信，那么计算机是如何知道对面的位置，如何和对面通信的呢？

本次的学习内容就是来学习计算机网络中的IP部分。

## 今日任务

* IP地址
* 子网掩码
* 网关

## 知识点解析

### IP地址

IP地址是网络中的通信地址，就像我们靠家庭地址来互相访问一样，IP地址用于网络中计算机的联系，在同一个网络中，每台计算机的IP地址都是唯一的。

当一台计算机去访问另一台计算机的时候，目标计算机的IP地址叫做目的地址，自己的IP地址叫做源地址。

IP地址有IPv4地址和IPv6地址，IPv4地址是由4段8位2进制组成，一般用10进制来写。

IPv4地址一般分为三类：

* A类
* B类
* C类

其中每一类都有一些作为保留字段使用。

### 子网掩码

在网络中通过子网掩码来划分不同的子网，之后在子网内布的IP才能够直接通信，不能够跨子网通信。

子网掩码同样也是有32位，一般左边表示网络位，右边表示主机位。

### 网关

网关就像是快递的中转站，一个区域的网络如果想访问其他用户，就将数据发送到网关，由网关进行转发。

## 附录

无

---

**任务提交截至时间：2022.4.16**